Configure outbound telephony
Create or update outbound telephony configuration for the assistant.
curl -X POST "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/outbound" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/outbound"
headers = {
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/outbound", {
method: "POST",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/outbound", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/outbound')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
POST
/assistants/{assistantId}/telephony/outboundPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (cookie: sb-access-token)
sb-access-tokenstring
RequiredAuthenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Authenticated Talkturo web session cookie (Supabase httpOnly session).
Browser clients typically send this automatically after sign-in.
Related refresh cookies may also be present depending on the client.
path
assistantIdstring
RequiredAssistant UUID
Format: uuid
Content-Typestring
RequiredThe media type of the request body
Options: application/json
No request body parameters defined
Request Preview
Response
Response will appear here after sending the request
Authentication
path
parameterstring
RequiredAPI Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Path Parameters
assistantIdstring
RequiredAssistant UUID
Body
application/json
dataobject
RequiredOutbound telephony configuration fields
Responses
Outbound configuration saved
Was this page helpful?